import * as i0 from '@angular/core';
import { Component, Input, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';

class AssetIframeComponent {
}
AssetIframeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: AssetIframeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AssetIframeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: AssetIframeComponent, selector: "asset-iframe", inputs: { value: "value" }, ngImport: i0, template: "<iframe class=\"notion-image-inset\" [src]=\"value\" frameborder=\"0\"></iframe>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: AssetIframeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'asset-iframe', template: "<iframe class=\"notion-image-inset\" [src]=\"value\" frameborder=\"0\"></iframe>", styles: [""] }]
        }], propDecorators: { value: [{
                type: Input
            }] } });

class AssetImageComponent {
    constructor() {
        this.caption = 'notion image';
    }
}
AssetImageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: AssetImageComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AssetImageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: AssetImageComponent, selector: "asset-image", inputs: { value: "value", caption: "caption" }, ngImport: i0, template: "<img [alt]=\"caption\" [src]=\"value\" />\n", styles: ["img{display:block;object-fit:cover;border-radius:1px;pointer-events:auto;width:100%}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: AssetImageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'asset-image', template: "<img [alt]=\"caption\" [src]=\"value\" />\n", styles: ["img{display:block;object-fit:cover;border-radius:1px;pointer-events:auto;width:100%}\n"] }]
        }], propDecorators: { value: [{
                type: Input
            }], caption: [{
                type: Input
            }] } });

class AssetComponent {
}
AssetComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: AssetComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AssetComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: AssetComponent, selector: "asset", inputs: { value: "value", type: "type" }, ngImport: i0, template: "<asset-image\n  *ngIf=\"type === 'image'\"\n  [value]=\"value.file?.url\"\n></asset-image>\n", components: [{ type: AssetImageComponent, selector: "asset-image", inputs: ["value", "caption"] }], directives: [{ type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: AssetComponent, decorators: [{
            type: Component,
            args: [{ selector: 'asset', template: "<asset-image\n  *ngIf=\"type === 'image'\"\n  [value]=\"value.file?.url\"\n></asset-image>\n" }]
        }], propDecorators: { value: [{
                type: Input
            }], type: [{
                type: Input
            }] } });

var BlockType;
(function (BlockType) {
    BlockType["Paragraph"] = "paragraph";
    BlockType["Heading1"] = "heading_1";
    BlockType["Heading2"] = "heading_2";
    BlockType["Heading3"] = "heading_3";
    BlockType["BulletedListItem"] = "bulleted_list_item";
    BlockType["NumberedListItem"] = "numbered_list_item";
    BlockType["ToDo"] = "to_do";
    BlockType["Toggle"] = "toggle";
    BlockType["ChildPage"] = "child_page";
    BlockType["ChildDatabase"] = "child_database";
    BlockType["Embed"] = "embed";
    BlockType["Image"] = "image";
    BlockType["Video"] = "video";
    BlockType["File"] = "file";
    BlockType["Pdf"] = "pdf";
    BlockType["Bookmark"] = "bookmark";
    BlockType["Callout"] = "callout";
    BlockType["Quote"] = "quote";
    BlockType["Equation"] = "equation";
    BlockType["Divider"] = "divider";
    BlockType["TableOfContents"] = "table_of_contents";
    BlockType["Column"] = "column";
    BlockType["ColumnList"] = "column_list";
    BlockType["LinkPreview"] = "link_preview";
    BlockType["SyncedBlock"] = "synced_block";
    BlockType["Template"] = "template";
    BlockType["LinkToPage"] = "link_to_page";
    BlockType["Table"] = "table";
    BlockType["TableRow"] = "table_row";
    BlockType["Unsupported"] = "unsupported";
})(BlockType || (BlockType = {}));
var ColorType;
(function (ColorType) {
    ColorType[ColorType["default"] = 0] = "default";
    ColorType[ColorType["gray"] = 1] = "gray";
    ColorType[ColorType["brown"] = 2] = "brown";
    ColorType[ColorType["orange"] = 3] = "orange";
    ColorType[ColorType["yellow"] = 4] = "yellow";
    ColorType[ColorType["green"] = 5] = "green";
    ColorType[ColorType["blue"] = 6] = "blue";
    ColorType[ColorType["purple"] = 7] = "purple";
    ColorType[ColorType["pink"] = 8] = "pink";
    ColorType[ColorType["red"] = 9] = "red";
    ColorType[ColorType["gray_background"] = 10] = "gray_background";
    ColorType[ColorType["brown_background"] = 11] = "brown_background";
    ColorType[ColorType["orange_background"] = 12] = "orange_background";
    ColorType[ColorType["yellow_background"] = 13] = "yellow_background";
    ColorType[ColorType["green_background"] = 14] = "green_background";
    ColorType[ColorType["blue_background"] = 15] = "blue_background";
    ColorType[ColorType["purple_background"] = 16] = "purple_background";
    ColorType[ColorType["pink_background"] = 17] = "pink_background";
    ColorType[ColorType["red_background"] = 18] = "red_background";
})(ColorType || (ColorType = {}));

class RichTextComponent {
}
RichTextComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: RichTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
RichTextComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: RichTextComponent, selector: "rich-text", inputs: { richText: "richText" }, ngImport: i0, template: "<ng-container *ngFor=\"let item of richText\">\n    <span [ngClass]=\"{\n        'text-bold': item.annotations.bold,\n        'text-italic': item.annotations.italic,\n        'text-strikethrough': item.annotations.strikethrough,\n        'text-underline': item.annotations.underline,\n        'text-code': item.annotations.code\n    }\">{{ item.text.content }}</span>\n</ng-container>\n", styles: [".text-bold{font-weight:600}.text-italic{font-style:italic}.text-underline{text-decoration:underline}.text-strikethrough{text-decoration:line-through}\n"], directives: [{ type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: RichTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'rich-text', template: "<ng-container *ngFor=\"let item of richText\">\n    <span [ngClass]=\"{\n        'text-bold': item.annotations.bold,\n        'text-italic': item.annotations.italic,\n        'text-strikethrough': item.annotations.strikethrough,\n        'text-underline': item.annotations.underline,\n        'text-code': item.annotations.code\n    }\">{{ item.text.content }}</span>\n</ng-container>\n", styles: [".text-bold{font-weight:600}.text-italic{font-style:italic}.text-underline{text-decoration:underline}.text-strikethrough{text-decoration:line-through}\n"] }]
        }], propDecorators: { richText: [{
                type: Input
            }] } });

class HeadingComponent {
    constructor() {
        this.level = 1;
    }
}
HeadingComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: HeadingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
HeadingComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: HeadingComponent, selector: "heading", inputs: { level: "level", text: "text" }, ngImport: i0, template: "<h1 *ngIf=\"level === 1\" class=\"heading_1\">\n    <rich-text [richText]=\"text\"></rich-text>\n</h1>\n<h2 *ngIf=\"level === 2\" class=\"heading_2\">\n    <rich-text [richText]=\"text\"></rich-text>\n</h2>\n<h3 *ngIf=\"level === 3\" class=\"heading_3\">\n    <rich-text [richText]=\"text\"></rich-text>\n</h3>\n", styles: ["h1,h2,h3{font-weight:600;line-height:1.3}h1{font-size:1.875em;margin-top:1.4em}h1:first-child{margin-top:0}h2{font-size:1.5em;margin-top:1.1em}h3{font-size:1.25em;margin-top:1em}\n"], components: [{ type: RichTextComponent, selector: "rich-text", inputs: ["richText"] }], directives: [{ type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: HeadingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'heading', template: "<h1 *ngIf=\"level === 1\" class=\"heading_1\">\n    <rich-text [richText]=\"text\"></rich-text>\n</h1>\n<h2 *ngIf=\"level === 2\" class=\"heading_2\">\n    <rich-text [richText]=\"text\"></rich-text>\n</h2>\n<h3 *ngIf=\"level === 3\" class=\"heading_3\">\n    <rich-text [richText]=\"text\"></rich-text>\n</h3>\n", styles: ["h1,h2,h3{font-weight:600;line-height:1.3}h1{font-size:1.875em;margin-top:1.4em}h1:first-child{margin-top:0}h2{font-size:1.5em;margin-top:1.1em}h3{font-size:1.25em;margin-top:1em}\n"] }]
        }], propDecorators: { level: [{
                type: Input
            }], text: [{
                type: Input
            }] } });

class TableComponent {
    constructor() {
        this.data = [];
    }
}
TableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: TableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: TableComponent, selector: "block-table", inputs: { properties: "properties", data: "data" }, ngImport: i0, template: "<table [ngClass]=\"{\n    'row-header': properties?.has_row_header,\n    'column-header': properties?.has_column_header\n}\">\n    <tbody>\n        <tr *ngFor=\"let row of data; let i = index\">\n            <td *ngFor=\"let item of row.table_row?.cells || []\">\n                <div class=\"table-cell-text\">\n                    <rich-text [richText]=\"item\"></rich-text>\n                </div>\n            </td>\n        </tr>\n    </tbody>\n</table>\n", styles: ["table{font-size:14px;border-collapse:collapse;border-spacing:0;width:100%}table.column-header tr:first-child,table.row-header tr td:first-child{background:#f7f6f3;font-weight:500}table tr td{color:inherit;fill:inherit;border:1px solid #e9e9e7;position:relative;vertical-align:top;min-width:120px;max-width:240px;min-height:32px}table tr td .table-cell-text{max-width:100%;width:100%;white-space:pre-wrap;word-break:break-word;caret-color:#37352f;padding:7px 9px;background-color:transparent;font-size:14px;line-height:20px}\n"], components: [{ type: RichTextComponent, selector: "rich-text", inputs: ["richText"] }], directives: [{ type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: TableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'block-table', template: "<table [ngClass]=\"{\n    'row-header': properties?.has_row_header,\n    'column-header': properties?.has_column_header\n}\">\n    <tbody>\n        <tr *ngFor=\"let row of data; let i = index\">\n            <td *ngFor=\"let item of row.table_row?.cells || []\">\n                <div class=\"table-cell-text\">\n                    <rich-text [richText]=\"item\"></rich-text>\n                </div>\n            </td>\n        </tr>\n    </tbody>\n</table>\n", styles: ["table{font-size:14px;border-collapse:collapse;border-spacing:0;width:100%}table.column-header tr:first-child,table.row-header tr td:first-child{background:#f7f6f3;font-weight:500}table tr td{color:inherit;fill:inherit;border:1px solid #e9e9e7;position:relative;vertical-align:top;min-width:120px;max-width:240px;min-height:32px}table tr td .table-cell-text{max-width:100%;width:100%;white-space:pre-wrap;word-break:break-word;caret-color:#37352f;padding:7px 9px;background-color:transparent;font-size:14px;line-height:20px}\n"] }]
        }], propDecorators: { properties: [{
                type: Input
            }], data: [{
                type: Input
            }] } });

class TableOfContentsComponent {
}
TableOfContentsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: TableOfContentsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TableOfContentsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: TableOfContentsComponent, selector: "table-of-contents", ngImport: i0, template: "", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: TableOfContentsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'table-of-contents', template: "", styles: [""] }]
        }] });

class BlockComponent {
    constructor() {
        this.BlockType = BlockType;
    }
}
BlockComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: BlockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BlockComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: BlockComponent, selector: "block", inputs: { block: "block", blockMap: "blockMap", fullPage: "fullPage", hideHeader: "hideHeader" }, ngImport: i0, template: "<ng-container [ngSwitch]=\"block.type\">\n    <div *ngSwitchCase=\"BlockType.Paragraph\">\n        <rich-text [richText]=\"block[block.type]?.rich_text\"></rich-text>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Heading1\">\n        <heading [level]=\"1\" [text]=\"block[block.type]?.rich_text\"></heading>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Heading2\">\n        <heading [level]=\"2\" [text]=\"block[block.type]?.rich_text\"></heading>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Heading3\">\n        <heading [level]=\"3\" [text]=\"block[block.type]?.rich_text\"></heading>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Image\">\n        <asset type=\"image\" [value]=\"block[block.type]\"></asset>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Table\">\n        <block-table [properties]=\"block[block.type]\" [data]=\"block['children'] || []\"></block-table>\n    </div>\n    <div *ngSwitchCase=\"BlockType.TableOfContents\">\n        <table-of-contents></table-of-contents>\n    </div>\n</ng-container>\n", styles: ["div{padding:3px 2px}\n"], components: [{ type: RichTextComponent, selector: "rich-text", inputs: ["richText"] }, { type: HeadingComponent, selector: "heading", inputs: ["level", "text"] }, { type: AssetComponent, selector: "asset", inputs: ["value", "type"] }, { type: TableComponent, selector: "block-table", inputs: ["properties", "data"] }, { type: TableOfContentsComponent, selector: "table-of-contents" }], directives: [{ type: i2.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { type: i2.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: BlockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'block', template: "<ng-container [ngSwitch]=\"block.type\">\n    <div *ngSwitchCase=\"BlockType.Paragraph\">\n        <rich-text [richText]=\"block[block.type]?.rich_text\"></rich-text>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Heading1\">\n        <heading [level]=\"1\" [text]=\"block[block.type]?.rich_text\"></heading>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Heading2\">\n        <heading [level]=\"2\" [text]=\"block[block.type]?.rich_text\"></heading>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Heading3\">\n        <heading [level]=\"3\" [text]=\"block[block.type]?.rich_text\"></heading>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Image\">\n        <asset type=\"image\" [value]=\"block[block.type]\"></asset>\n    </div>\n    <div *ngSwitchCase=\"BlockType.Table\">\n        <block-table [properties]=\"block[block.type]\" [data]=\"block['children'] || []\"></block-table>\n    </div>\n    <div *ngSwitchCase=\"BlockType.TableOfContents\">\n        <table-of-contents></table-of-contents>\n    </div>\n</ng-container>\n", styles: ["div{padding:3px 2px}\n"] }]
        }], propDecorators: { block: [{
                type: Input
            }], blockMap: [{
                type: Input
            }], fullPage: [{
                type: Input
            }], hideHeader: [{
                type: Input
            }] } });

class TableRowComponent {
    constructor() { }
    ngOnInit() {
    }
}
TableRowComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: TableRowComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
TableRowComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: TableRowComponent, selector: "lib-table-row", ngImport: i0, template: "<p>table-row works!</p>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: TableRowComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-table-row', template: "<p>table-row works!</p>\n", styles: [""] }]
        }], ctorParameters: function () { return []; } });

class RendererComponent {
    constructor() {
        this.fullPage = false;
        this.hideHeader = false;
    }
}
RendererComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: RendererComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
RendererComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.2", type: RendererComponent, selector: "renderer", inputs: { blockMap: "blockMap", fullPage: "fullPage", hideHeader: "hideHeader" }, ngImport: i0, template: "<div class=\"notion\">\n    <ng-container *ngFor=\"let block of blockMap.blocks\">\n        <block\n            [blockMap]=\"blockMap\"\n            [block]=\"block\"\n        ></block>\n    </ng-container>\n</div>", styles: [".notion{font-size:16px;line-height:1.5;color:#37352f;caret-color:#37352f;font-family:-apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,\"Apple Color Emoji\",Arial,sans-serif,\"Segoe UI Emoji\",Segoe UI Symbol}.notion ::ng-deep *{box-sizing:border-box;margin-block-start:0px;margin-block-end:0px}.notion ::ng-deep h1{margin-top:1.4em}.notion ::ng-deep h1:first-child{margin-top:0}.notion ::ng-deep h2{margin-top:1.1em}.notion ::ng-deep h3{margin-top:1em}.notion ::ng-deep table{margin-top:8px;margin-bottom:18px}\n"], components: [{ type: BlockComponent, selector: "block", inputs: ["block", "blockMap", "fullPage", "hideHeader"] }], directives: [{ type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: RendererComponent, decorators: [{
            type: Component,
            args: [{ selector: 'renderer', template: "<div class=\"notion\">\n    <ng-container *ngFor=\"let block of blockMap.blocks\">\n        <block\n            [blockMap]=\"blockMap\"\n            [block]=\"block\"\n        ></block>\n    </ng-container>\n</div>", styles: [".notion{font-size:16px;line-height:1.5;color:#37352f;caret-color:#37352f;font-family:-apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,\"Apple Color Emoji\",Arial,sans-serif,\"Segoe UI Emoji\",Segoe UI Symbol}.notion ::ng-deep *{box-sizing:border-box;margin-block-start:0px;margin-block-end:0px}.notion ::ng-deep h1{margin-top:1.4em}.notion ::ng-deep h1:first-child{margin-top:0}.notion ::ng-deep h2{margin-top:1.1em}.notion ::ng-deep h3{margin-top:1em}.notion ::ng-deep table{margin-top:8px;margin-bottom:18px}\n"] }]
        }], propDecorators: { blockMap: [{
                type: Input
            }], fullPage: [{
                type: Input
            }], hideHeader: [{
                type: Input
            }] } });

const components = [
    AssetComponent,
    AssetImageComponent,
    AssetIframeComponent,
    BlockComponent,
    HeadingComponent,
    RendererComponent,
    RichTextComponent,
    TableOfContentsComponent,
    TableComponent,
    TableRowComponent,
];
class NgxNotionModule {
}
NgxNotionModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: NgxNotionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxNotionModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: NgxNotionModule, declarations: [AssetComponent,
        AssetImageComponent,
        AssetIframeComponent,
        BlockComponent,
        HeadingComponent,
        RendererComponent,
        RichTextComponent,
        TableOfContentsComponent,
        TableComponent,
        TableRowComponent], imports: [CommonModule], exports: [AssetComponent,
        AssetImageComponent,
        AssetIframeComponent,
        BlockComponent,
        HeadingComponent,
        RendererComponent,
        RichTextComponent,
        TableOfContentsComponent,
        TableComponent,
        TableRowComponent] });
NgxNotionModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: NgxNotionModule, imports: [[
            CommonModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.2", ngImport: i0, type: NgxNotionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ...components,
                    ],
                    imports: [
                        CommonModule,
                    ],
                    exports: [
                        ...components,
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-notion
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AssetComponent, AssetIframeComponent, AssetImageComponent, BlockComponent, BlockType, ColorType, HeadingComponent, NgxNotionModule, RendererComponent, RichTextComponent, TableComponent, TableOfContentsComponent, TableRowComponent };
//# sourceMappingURL=ngx-notion.mjs.map
